//
//  ClientError.swift
//  NetworkObjects
//
//  Created by Alsey Coleman Miller on 6/24/15.
//  Copyright © 2015 ColemanCDA. All rights reserved.
//

public extension Client {
    
    /// Errors returned with **NetworkObjects**' ```Client```.
    public enum Error: ErrorType {
        
        /// The server returned a status code indicating an error.
        case ErrorStatusCode(Int)
        
        /// The server returned an invalid response.
        case InvalidResponse
        
        /// The request cannot be processed by the client. 
        ///
        /// e.g. Invalid entity name specified by the request.
        case InvalidRequest
    }
}

